<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC  "-//ACTIVEMQ//DTD//EN" "http://activemq.codehaus.org/dtd/activemq.dtd">
<beans>

  <!-- ==================================================================== -->
  <!-- ActiveMQ Broker Configuration -->
  <!-- ==================================================================== -->
  <broker>
    <connector>
      <serverTransport uri="vm://localhost"/>
    </connector>
    <connector>
      <tcpServerTransport uri="tcp://localhost:61616" backlog="1000" useAsyncSend="true" maxOutstandingMessages="50"/>
    </connector>

    <persistence>
      <!-- you can point this to a different datasource -->
      <jdbcPersistence dataSourceRef="hsql-ds"/>
    </persistence>
  </broker>

  <!-- ==================================================================== -->
  <!-- JDBC DataSource Configurations -->
  <!-- ==================================================================== -->
  
  <!-- The Axion Datasource that will be used by the Broker -->
  <bean name="axion-ds" class="org.axiondb.jdbc.AxionDataSource" autowire="constructor">
     <constructor-arg><value>jdbc:axiondb:activemqdb:target/data/axion</value></constructor-arg>
  </bean> 

  <!-- The HSQL Datasource that will be used by the Broker -->
  <bean id="hsql-ds" class="org.apache.commons.dbcp.BasicDataSource" destroy-method="close">
    <property name="driverClassName">
      <value>org.hsqldb.jdbcDriver</value>
    </property>
    <property name="url">
      <!-- Use a URL like 'jdbc:hsqldb:hsql://localhost:9001' if you want to connect to a remote hsqldb -->
      <value>jdbc:hsqldb:file:target/data/hsqldb</value>
    </property>
    <property name="username">
      <value>sa</value>
    </property>
    <property name="password">
      <value></value>
    </property>
    <property name="poolPreparedStatements">
      <value>true</value>
    </property>    
  </bean>

</beans>